cURL
curl --request GET \ --url https://api-{region}.sesametime.com/request/v1/requests/{requestId} \ --header 'Authorization: Bearer <token>'
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "title": "Vacation request", "status": "pending", "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "requestType": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "Vacation", "icon": "vacation" }, "createdAt": "2020-01-01T10:00:00+01:00", "updatedAt": "2020-01-01T10:00:00+01:00", "resolvedAt": "2024-01-15T14:30:00+01:00", "resolvedById": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "flowTotalLevels": 3, "flowCurrentLevel": 2, "answers": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "questionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "questionName": "Start date", "questionType": "date", "value": "2024-01-15" } ] } }
Returns details of a specific request.
API token obtained from Sesame HR Dashboard > Settings > Integrations > API
The request ID
Successful response - Single request
Show child attributes
Suggestions